<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        /*
        Animación de la imagen
        Giro
        +
        Translación
        */
        img {
            position: relative;
            animation: girar 4s infinite linear, mueve 16s infinite linear;
        }

        /*
        Animación que gira la imagen en el eje Y
        Al 50% gira 180 grados (media vuelta)
        Al 100% gira 360 grados (vuelve a la posición inicial)
        */
        @keyframes girar {

            0% {}

            50% {
                transform: rotateY(180deg);
            }

            100% {
                transform: rotateY(360deg);
            }
        }

        /*
        Animación que mueve el logo
        Para moverlo usamos left
        */
        @keyframes mueve {
            0% {
                left: 0;
            }

            50% {
                /*
                Con calc podemos hacer operaciones
                Al 100% le restamos 125px para que la imagen no salga de la pantalla por la derecha
                */
                left: calc(100% - 125px);
            }

            100% {
                left: 0;
            }
        }
    </style>
</head>

<body>

    <img src="logoAlpe.png" alt="">

</body>

</html>